System.Web 2.0.0.0 System.Web.UI.WebControls.TableCell

The class is a strongly typed class that represents a cell in ASP.NET data-bound controls that render their contents in a tabular layout, such as and .

The object that contains the object controls how the cell is rendered by applying styles to the cell. You can access the containing object using the property.

Represents a cell in the rendered table of a tabular ASP.NET data-bound control, such as or .

- Constructor
  To be added.

  This constructor uses the element defined by its base class to render the cell. The object passed in the parameter is used to determine whether to show headers and what styles to apply to the cell when it is rendered.

  Initializes a new instance of the class, setting the specified object as the cell's container.

  2.0.0.0
- Constructor
  To be added.

  The parameter is passed to the base class constructor, and controls the HTML tag that is emitted by the control. The passed in the parameter is used to determine whether to show headers and what styles to apply to the cell when it is rendered.

  Initializes a new instance of the class, setting the specified object as the cell's container.

  An that specifies the HTML tag to render for the cell. The default tag used by the class is .
  2.0.0.0
- Property
  System.Web.UI.WebControls.DataControlField To be added.

  The content rendering for the object might be affected by the various properties of the containing field, such as , , and .

  Gets the object that contains the current cell.

  2.0.0.0